/*
 * debug.h: some debug macros
 *
 * Copyright (C) 2002  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: debug.h,v 1.3 2002/02/12 23:55:24 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: debug.h,v 1.3 2002/02/12 23:55:24 erikm Exp $"

#ifndef BLOB_DEBUG_H
#define BLOB_DEBUG_H


#ifdef BLOB_DEBUG


#include <blob/util.h>	/* for printf() */
#include <blob/error.h>	/* for eprintf() */

# define dprintf(fmt, args...)
# define deprintf(fmt, args...)

/*
#define dprintf(fmt, args...) \
	printf("%s(): " fmt, __FUNCTION__ , ## args)

#define deprintf(fmt, args...) \
	printerrprefix(); \
	printf("%s(): " fmt, __FUNCTION__ , ## args)
*/
#else

# define dprintf(fmt, args...)
# define deprintf(fmt, args...)

#endif


#endif
