/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/**
**  FILENAME:       xllp_uart_plat.h
**
**  PURPOSE:        Definitions for UART
**
**
******************************************************************************/

#ifndef		__XLLP_UART_PLAT_H__
#define		__XLLP_UART_PLAT_H__

#include	"xllp_defs.h"
#include	"xllp_mfp.h"
#include	"xllp_gpio.h"

#include	"xllp_uart_proc.h"

#ifdef	__cplusplus
extern "C" {
#endif

	XLLP_STATUS_T XllpUartInit(P_XLLP_UART_HANDLE_T Handle);

#ifdef	__cplusplus
}
#endif
#endif	//#ifndef      __XLLP_UART_PLAT_H__
