/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/**  FILENAME:       xllp_mfp.h
**
**  PURPOSE: contains all GPIO specific macros, typedefs, and prototypes.
**           Declares no storage.
**                  
**  Validity Notes: Only valid for the architecture codenamed "Boerne," which
**                  is used in the processor codenamed "Monahans."
**
******************************************************************************/

#ifndef __XLLP_MFP_H__
#define __XLLP_MFP_H__

    // For first implementation of separate processor + platform definition 
    // files, assume they will be in the same directory.  That will probably 
    // change and then a path component will need to be added.

    // Note: This file seems superflous and might not be created for the actual
    //       code bases

#include "xllp_mfp_proc.h"  // Must come first
#include "xllp_mfp_rm.h"
#include "xllp_mfp_plat.h"

#endif //__XLLP_MFP_H__

