#!/bin/bash

echo "   "
echo "   *********************************************************** "
echo "          Start running TBB and concatenating NTIM to OBM      "
echo "   *********************************************************** "
echo "   "


if [ xx$5 == xx ]
then
		Option=""
else
		Option=$5
		pOption=_$5
		if [ $5 == "DDR" ]
		then
				ddr=_$5
		else
				ddr=""
		fi
fi


if [ $1 == "NT" ]
then
		TbbFile="ntbb_linux"
else
		TbbFile="tbb_linux"
fi


if ! [ -e ./TAVOR/BIN/$2/$3/$5/$Option ]
	then
		mkdir -m 777 -p ./TAVOR/BIN/$2/$3/$Option
fi


../Binaries/$TbbFile.exe -m 1 -r ./TAVOR/tbb_bin_blk1/Tavor$2_OBM_$1IM_LB-$3$ddr\_release.txt
if [ -e Tavor$2_OBM_$1IM_LB-$3.bin ]
	then
		mv Tavor$2_OBM_$1IM_LB-$3.bin ./TAVOR/tbb_bin_blk1/
	else
		echo "   "
		echo "  ***************************************************************************** "
		echo "   !!! ERROR - the file Tavor$2_OBM_$1IM_LB-$3.bin does not exist               "
		echo "  ***************************************************************************** "
		echo "   "
		exit 1
fi


##perl ./TAVOR/tbb_bin_blk1/padAndpack.pl ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4$pOption.bin ./TAVOR/tbb_bin_blk1/Tavor$2_OBM_$1IM_LB-$3.bin
perl ./TAVOR/tbb_bin_blk1/padAndpack.pl ./TAVOR/Release/$2/$3/TAVOR_$2_$1OBM_$3_$4$pOption.bin ./TAVOR/tbb_bin_blk1/Tavor$2_OBM_$1IM_LB-$3.bin

##if ! [ -e ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4$pOption.bin.rnd ]
if ! [ -e ./TAVOR/Release/$2/$3/TAVOR_$2_$1OBM_$3_$4$pOption.bin.rnd ]
	then
		echo "   "
		echo "  ************************************************************************************** "
		echo "   !!! ERROR - the file TAVOR_$2_NTOBM_$3_$4$pOption.bin.rnd does not exist               "
		echo "  ************************************************************************************** "
		echo "   "
	  exit 1
	else
##		cp ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4$pOption.bin.rnd ./TAVOR/BIN/$2/$3/$Option
		cp ./TAVOR/Release/$2/$3/TAVOR_$2_$1OBM_$3_$4$pOption.bin.rnd ./TAVOR/BIN/$2/$3/$Option
fi



