@echo off
if xx%1==xx  goto HELP_TXT
if xx%2==xx  goto HELP_TXT

goto _OPTION

:HELP_TXT
echo .
echo          Usage:: win_make_saar_tobm_release.bat  FlashType  ObmMode  BoardType  Option
echo .
echo          FlashType == NAND8 or ONENAND or MDOC or NOR
echo          ObmMode   == MODE_0 or MODE_1 or MODE_2 or MODE_3 or MODE_4
echo          BoardType == PV or P65 or YARDEN or SAAR or SAAR_PV or EVB2
echo          Option    == D2 or DDR or or BLOCK1 or SRAM or space
echo .
goto END


:_OPTION
set _Option=None
if xx%4==xx  goto START
if %4==BLOCK1  goto START
set _Option=%4


:START
if xx%5==xx  (
set sram=
set _sram=
goto START_MAKE
)

if %5==SRAM  (
set sram=%5
set _sram=_%5
set _Option=%5
) else (
set sram=
)



:START_MAKE
echo .
echo .
echo   *****************************************************************************
echo     Start making TAVOR %3 Trusted, %1 flash, obm %2, option=%_Option%
echo   *****************************************************************************
echo .
echo .

set _msys=0
set _onenand=0
set _nand=0
set _nor=0

if %1==NAND8 set _nand=1
if %1==NAND16 set _nand=1
if %1==ONENAND set _onenand=1
if %1==MDOC set _msys=1
if %1==NOR set _nor=1

set mode=%2
set flash=%1
set board=%3
set dr=%~d0

if not exist .\Tavor\Release\%board%\%flash%  mkdir .\Tavor\Release\%board%\%flash%
if exist .\Tavor\Release\%board%\%flash%\TAVOR_%board%_TOBM_%flash%_%mode%.bin del .\Tavor\Release\%board%\%flash%\TAVOR_%board%_TOBM_%flash%_%mode%.bin


cd Build
nmake OBM.mak TRUSTED=1 PLATFORM=TAVOR  FLASH_TYPE=%1 OBM_MODE=%2 BOARD_TYPE=%board% MSYS=%_msys% ONENAND=%_onenand% NAND=%_nand% NOR_=%_nor% OPTION=%_Option% MEM_RUN=%sram%
cd..

if exist .\Tavor\Release\%board%\%flash%\TAVOR_TOBM.bin del .\Tavor\Release\%board%\%flash%\TAVOR_TOBM.bin
copy .\Tavor\Release\%board%\%flash%\TAVOR_%board%_TOBM_%flash%_%mode%%_sram%.bin .\Tavor\Release\%board%\%flash%\TAVOR_TOBM.bin
if exist .\Tavor\Release\%board%\%flash%\TAVOR_TOBM.bin goto FILE_OK

echo .
echo   ******************************************************************************
echo    !!! ERROR -- the file \Release\%board%\%flash%\TAVOR_TOBM.bin does not exist
echo   ******************************************************************************
echo .
goto END

:FILE_OK
echo .
echo .
echo   *************************************************************
echo         Start running TBB and concatenating TIM to OBM
echo   *************************************************************
echo .

call .\BAT\win_create_obm_tim_release.bat %1 %2 %board% %4 %5

:END
