/******************************************************************************
**	(C) Copyright 2007 Marvell International Ltd. 
**	All Rights Reserved
******************************************************************************/

/***********************************************************************
 * File:		UartDownload.h
 *
 * Description:	Header file for Bulverde Boot ROM UART download program
 *
 ***********************************************************************/
#ifndef _uart_download_h
#define _uart_download_h

#include "typedef.h"
#include "uart.h"
#include "errors.h"
#include "typedef.h"
#include "protocolmanager.h"
#include "interrupts.h"
#include "general.h"
#include "misc.h"

/**
 * Function Prototypes
 **/

UINT_T ReadFFUartLineStatus(void);
UINT8_T ReadFFUartReceiveFIFO(void);
UINT_T WriteCharToFFUart(INT8_T );
UINT_T FFUARTReadCommand(UINT_T size);
void  FFUARTInterruptHandler(void);

#endif
