/******************************************************************************
**
**  COPYRIGHT (C) 2005 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	PinMux_table.h
**
**  PURPOSE:
**
******************************************************************************/


/*
*  Transformed  directly from the excel sheet
*  for the setups done by the  bootRom need to  view bootRom's Monahans_defs.inc  (which contains also Tavor seetings)
*  and StartupFunctions.s since it does not set all that is defined in the defs file
*   */
#ifndef _PINMUX_TABLE_PV_H_
#define _PINMUX_TABLE_PV_H_

#include "PinMux_defs.h"



#define GPIO0_PV             PADENTRY(0x2E0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO1_PV             PADENTRY(0x2DC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO2_PV             PADENTRY(0x2E8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO3_PV             PADENTRY(0x2D8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO4_PV             PADENTRY(0x2E4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO5_PV             PADENTRY(0x2EC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO6_PV             PADENTRY(0x2F8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO7_PV             PADENTRY(0x2FC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO8_PV             PADENTRY(0x300, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO9_PV             PADENTRY(0x2D4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO10_PV             PADENTRY(0x2F4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO11_PV             PADENTRY(0x2F0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO12_PV             PADENTRY(0x304, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO13_PV             PADENTRY(0x310, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO14_PV             PADENTRY(0x308, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO15_PV             PADENTRY(0x30C, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO16_PV             PADENTRY(0x4E8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO17_PV             PADENTRY(0x4F4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO18_PV             PADENTRY(0x4F8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO19_PV             PADENTRY(0x4FC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO20_PV             PADENTRY(0x518, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO21_PV             PADENTRY(0x51C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO22_PV             PADENTRY(0x4EC, \
                                /*mode 0*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO23_PV             PADENTRY(0x500, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO24_PV             PADENTRY(0x4F0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO25_PV             PADENTRY(0x504, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO26_PV             PADENTRY(0x510, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO27_PV             PADENTRY(0x514, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO28_PV             PADENTRY(0x520, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO29_PV             PADENTRY(0x600, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO30_PV             PADENTRY(0x618, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO31_PV             PADENTRY(0x610, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO32_PV             PADENTRY(0x60C, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO33_PV             PADENTRY(0x61C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO34_PV             PADENTRY(0x620, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO35_PV             PADENTRY(0x628, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO36_PV             PADENTRY(0x62C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO37_PV             PADENTRY(0x630, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO38_PV             PADENTRY(0x634, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO39_PV             PADENTRY(0x638, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO40_PV             PADENTRY(0x63C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO41_PV             PADENTRY(0x614, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO42_PV             PADENTRY(0x624, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO43_PV             PADENTRY(0x608, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO44_PV             PADENTRY(0x604, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO45_PV             PADENTRY(0x50C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO46_PV             PADENTRY(0x508, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO47_PV             PADENTRY(0x2BC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO48_PV             PADENTRY(0x2B4, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO49_PV             PADENTRY(0x2B8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO50_PV             PADENTRY(0x2C8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO51_PV             PADENTRY(0x2C0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO52_PV             PADENTRY(0x2C4, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO53_PV             PADENTRY(0x2D0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO54_PV             PADENTRY(0x2CC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO55_PV             PADENTRY(0x29C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO56_PV             PADENTRY(0x2A0, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO57_PV             PADENTRY(0x294, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO58_PV             PADENTRY(0x298, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO59_PV             PADENTRY(0x2A4, \
                                /*mode 0*/ AF_3, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO60_PV             PADENTRY(0x2A8, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO61_PV             PADENTRY(0x2B0, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO62_PV             PADENTRY(0x2AC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO63_PV             PADENTRY(0x640, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO64_PV             PADENTRY(0x65C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO65_PV             PADENTRY(0x648, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO66_PV             PADENTRY(0x644, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO67_PV             PADENTRY(0x674, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO68_PV             PADENTRY(0x658, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO69_PV             PADENTRY(0x654, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO70_PV             PADENTRY(0x660, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO71_PV             PADENTRY(0x668, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO72_PV             PADENTRY(0x664, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO73_PV             PADENTRY(0x650, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO74_PV             PADENTRY(0x66C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO75_PV             PADENTRY(0x64C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO76_PV             PADENTRY(0x670, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO77_PV             PADENTRY(0x678, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO78_PV             PADENTRY(0x67C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO79_PV             PADENTRY(0x694, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO80_PV             PADENTRY(0x69C, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO81_PV             PADENTRY(0x6A0, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO82_PV             PADENTRY(0x6A4, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define GPIO83_PV             PADENTRY(0x698, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO84_PV             PADENTRY(0x6BC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO85_PV             PADENTRY(0x6B4, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO86_PV             PADENTRY(0x6B0, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO87_PV             PADENTRY(0x6C0, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO88_PV             PADENTRY(0x6C4, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO89_PV             PADENTRY(0x6AC, \
                                /*mode 0*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO90_PV             PADENTRY(0x680, \
                                /*mode 0*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, NO_PULL, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO91_PV             PADENTRY(0x684, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO92_PV             PADENTRY(0x688, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO93_PV             PADENTRY(0x690, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO94_PV             PADENTRY(0x68C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO95_PV             PADENTRY(0x6A8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO96_PV             PADENTRY(0x6B8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO97_PV             PADENTRY(0x418, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO98_PV             PADENTRY(0x410, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO99_PV             PADENTRY(0x41C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO100_PV             PADENTRY(0x414, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO101_PV             PADENTRY(0x408, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO102_PV             PADENTRY(0x324, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, SLOW, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO103_PV             PADENTRY(0x40C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO104_PV             PADENTRY(0x400, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO105_PV             PADENTRY(0x328, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO106_PV             PADENTRY(0x404, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO159_PV             PADENTRY(0x524, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO160_PV             PADENTRY(0x528, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO161_PV             PADENTRY(0x52C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO162_PV             PADENTRY(0x530, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO163_PV             PADENTRY(0x534, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO164_PV             PADENTRY(0x538, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO165_PV             PADENTRY(0x53C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO166_PV             PADENTRY(0x540, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO167_PV             PADENTRY(0x544, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO168_PV             PADENTRY(0x548, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO169_PV             PADENTRY(0x54C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO170_PV             PADENTRY(0x550, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO171_PV             PADENTRY(0x554, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO172_PV             PADENTRY(0x558, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO173_PV             PADENTRY(0x55C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO174_PV             PADENTRY(0x560, \
                                /*mode 0*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO175_PV             PADENTRY(0x564, \
                                /*mode 0*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO176_PV             PADENTRY(0x568, \
                                /*mode 0*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define RF_IF1_PV             PADENTRY(0x424, \
                                /*mode 0*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF2_PV             PADENTRY(0x420, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF3_PV             PADENTRY(0x428, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF4_PV             PADENTRY(0x434, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF5_PV             PADENTRY(0x42C, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF6_PV             PADENTRY(0x454, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF7_PV             PADENTRY(0x440, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF8_PV             PADENTRY(0x448, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF9_PV             PADENTRY(0x43C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF10_PV             PADENTRY(0x458, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF11_PV             PADENTRY(0x45C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF12_PV             PADENTRY(0x44C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF13_PV             PADENTRY(0x444, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF14_PV             PADENTRY(0x438, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF15_PV             PADENTRY(0x450, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define RF_IF16_PV             PADENTRY(0x460, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF17_PV             PADENTRY(0x468, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF18_PV             PADENTRY(0x464, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF19_PV             PADENTRY(0x470, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF20_PV             PADENTRY(0x46C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF21_PV             PADENTRY(0x474, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF22_PV             PADENTRY(0x478, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ0_PV             PADENTRY(0x47C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ1_PV             PADENTRY(0x480, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ2_PV             PADENTRY(0x484, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ3_PV             PADENTRY(0x488, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ4_PV             PADENTRY(0x48C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ5_PV             PADENTRY(0x490, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ6_PV             PADENTRY(0x494, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ7_PV             PADENTRY(0x498, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RX_CLK_PV             PADENTRY(0x4AC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ0_PV             PADENTRY(0x4A0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ1_PV             PADENTRY(0x4A4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ2_PV             PADENTRY(0x4A8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ3_PV             PADENTRY(0x4B0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ4_PV             PADENTRY(0x4B4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ5_PV             PADENTRY(0x4B8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ6_PV             PADENTRY(0x4C8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ7_PV             PADENTRY(0x4CC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ8_PV             PADENTRY(0x4D8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ9_PV             PADENTRY(0x4DC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TX_CLK_PV             PADENTRY(0x4D4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_CLK_PV             PADENTRY(0x4D0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_DATA0_PV             PADENTRY(0x4C0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define CONT_DATA1_PV             PADENTRY(0x4C4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define CONT_RD_WR_PV             PADENTRY(0x4BC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_READ_INT_PV             PADENTRY(0x49C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define DAC_ST456_PV             PADENTRY(0x4E0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define ADC_ST_PV             PADENTRY(0x4E4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define ND_IO15_PV             PADENTRY(0x290, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO14_PV             PADENTRY(0x28C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO13_PV             PADENTRY(0x288, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO12_PV             PADENTRY(0x284, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO11_PV             PADENTRY(0x280, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO10_PV             PADENTRY(0x27C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO9_PV             PADENTRY(0x278, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO8_PV             PADENTRY(0x274, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO7_PV             PADENTRY(0x270, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO6_PV             PADENTRY(0x26C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO5_PV             PADENTRY(0x268, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO4_PV             PADENTRY(0x264, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO3_PV             PADENTRY(0x248, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO2_PV             PADENTRY(0x244, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO1_PV             PADENTRY(0x240, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO0_PV             PADENTRY(0x23C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_nCS0_PV             PADENTRY(0x22C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nCS1_PV             PADENTRY(0x230, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nWE_PV             PADENTRY(0x234, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nRE_PV             PADENTRY(0x238, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_CLE_nOE_PV             PADENTRY(0x20C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_ALE_nWE_PV             PADENTRY(0x218, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define DF_nCS2_PV             PADENTRY(0x224, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_INT_RnB_PV             PADENTRY(0x228, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define DF_SCLK_E_PV             PADENTRY(0x214, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define DF_ADDR0_PV             PADENTRY(0x24C, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define DF_ADDR1_PV             PADENTRY(0x250, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define DF_ADDR2_PV             PADENTRY(0x25C, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define DF_ADDR3_PV             PADENTRY(0x260, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nXCVREN_PV             PADENTRY(0x204, \
                                /*mode 0*/ AF_0, FAST, N_AF_SLP_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, N_AF_SLP_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, N_AF_SLP_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nLUA_PV             PADENTRY(0x254, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define nLLA_PV             PADENTRY(0x258, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define nBE0_PV             PADENTRY(0x21C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nBE1_PV             PADENTRY(0x220, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define RDY_PV             PADENTRY(0x200, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define DF_UNLOCK_PV             PADENTRY(0x208, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_0, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_0, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GSIM_UCLK_PV             PADENTRY(0x318, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GSIM_UIO_PV             PADENTRY(0x314, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define GSIM_nURST_PV             PADENTRY(0x320, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH)

#define GSIM_UDET_PV             PADENTRY(0x31C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define PMIC_INT_PV             PADENTRY(0x6C8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)


#endif
