@echo off


if x%1 == xdel  goto DELETE_AREA
if x%1 == xDEL  goto DELETE_AREA

if x%1 == xcopy  goto COPY_AREA
if x%1 == xCOPY  goto COPY_AREA

if xx%1==xx  goto HELP_TXT
if xx%2==xx  goto HELP_TXT

if %1 == T  goto FLASH_AREA
if %1 == NT  goto FLASH_AREA
goto HELP_TXT


:FLASH_AREA
if %2 == ALL  goto ALL_AREA
if %3 == NAND8  goto MODE_AREA
if %3 == ONENAND  goto MODE_AREA
if %3 == MDOC  goto MODE_AREA
if %3 == NOR  goto MODE_AREA
if %3 == NOFLASH  goto MODE_AREA
if %3 == NAND16  goto MODE_AREA
goto HELP_TXT



:MODE_AREA
if %2 == ALL  goto ALL_AREA
if %4 == MODE0  goto ALL_AREA
if %4 == MODE1  goto ALL_AREA
if %4 == MODE2  goto ALL_AREA
if %4 == MODE3  goto ALL_AREA
if %4 == MODE4  goto ALL_AREA
if %4 == MODE6  goto ALL_AREA
goto HELP_TXT


:ALL_AREA
if %2 == ALL  goto START
if %2 == EVB_PV  goto START
if %2 == P65  goto START
if %2 == EVB  goto START
if %2 == YARDEN  goto START
if %2 == SAAR  goto START
if %2 == SAAR_PV  goto START



:HELP_TXT
echo .
echo .
echo .
echo  USAGE:: win_make_release.bat  TrustedMode  ALL/BoardType  FlashType  ObmMode  Special
echo .
echo         TrustedMode == NT or T
echo         ALL         == ALL or next parameter
echo         BoardType   == EVB_PV or P65 or YARDEN or SAAR or SAAR_PV or EVB
echo         FlashType   == NAND8 or ONENAND or MDOC or NOR or NOFLASH or NAND16
echo         ObmMode     == MODE0 or MODE1 or MODE2 or MODE3 or MODE4
echo         Special     == DDR or BLOCK1 or SRAM or space
echo .
echo                   DDR    = means the OBM will be copy directly to DDR instead of SRAM.
echo                   Block0 = means the OBM will reside in flash in block 0. The default is 1.
echo                   SRAM   = means the OBM will run from SRAM and will not be copy to the DDR.
echo .
echo .
echo         PAY ATTENTION -- Befor running the compilation command, make sure to
echo                          update the pin-mux table by the Excel file, than press
echo                          the build button to create the relevant H file.
echo                          In addition, make sure all the path in the NTIM/TIM
echo                          text file are correct.
echo .
echo .
echo         Some commands for example:
echo .
echo                   win_make_release.bat  NT  ALL
echo                   win_make_release.bat  NT  ALL  EVB2
echo                   win_make_release.bat   T  EVB  NAND8  MODE1
echo                   win_make_release.bat  NT  EVB  NAND8  MODE1
echo                   win_make_release.bat  NT  SAAR  ONENAND  MODE0
echo                   win_make_release.bat  NT  EVB  NAND8  MODE0  DDR
echo                   win_make_release.bat  NT  EVB  NAND8  MODE0  DDR  BLOCK0
echo                   win_make_release.bat  NT  YARDEN  NAND8  MODE1
echo                   win_make_release.bat  NT  EVB_PV  NOFLASH  MODE1
echo                   win_make_release.bat  NT  EVB_PV  NOR  MODE1
echo                   win_make_release.bat  NT  ALL BLOCK0
echo .
echo .
goto END


:START

if not exist ..\Binaries\NTBB.exe  (
echo .
echo    !!! ERROR - the NTBB.exe file or ..\Binaries directory does not exist
echo .
goto END
)

if not exist ..\Binaries\TBB.exe  (
echo .
echo    !!! ERROR - the TBB.exe file or ..\Binaries directory does not exist
echo .
goto END
)

if not exist ..\app_bin\Arbel.bin goto APPS_BIN_FILES_NOT_OK
if not exist ..\app_bin\boerne.bin goto APPS_BIN_FILES_NOT_OK
if not exist ..\app_bin\ReliableData.bin goto APPS_BIN_FILES_NOT_OK
if not exist ..\app_bin\Tavor_M05_AI_B0_Flash.bin goto APPS_BIN_FILES_NOT_OK
if not exist ..\app_bin\TAVOR_RBOOT.bin goto APPS_BIN_FILES_NOT_OK
goto APPS_BIN_FILES_OK

:APPS_BIN_FILES_NOT_OK
echo .
echo    !!! ERROR - the APP_BIN directory or one of the application files does not exist
echo .
goto END
)

:APPS_BIN_FILES_OK



set Special=_
rem set Btype=%3
set Btype=
SET option1=
set Special_param=BLOCK1


if %1==T  (
set Tmode=tobm
) else (
set Tmode=ntobm
)

set all=_
if %2==ALL  (
set all=_all
) else (
goto BOARD_T
)

if xx%3==xx goto BEGIN

set all=_all_

if %3 == EVB_PV  goto Board_area
if %3 == P65  goto Board_area
if %3 == EVB  goto Board_area
if %3 == YARDEN  goto Board_area
if %3 == SAAR  goto Board_area
if %3 == SAAR_PV  goto Board_area

goto Option_area

:Board_area
set Btype=%3
set BtypeParam=%3

if xx%4==xx goto BEGIN

if %4==BLOCK0  (
set Special_param=BLOCK0
) else (
set Special_param=BLOCK1
)
set option1=%5

goto BEGIN

:Option_area
set all=_all
set BtypeParam=RH
if %3==BLOCK0  (
set Special_param=BLOCK0
) else (
set Special_param=BLOCK1
)

set option1=%4

if xx%4==xx goto BEGIN

set option1=%4


goto BEGIN


:BOARD_T
set Btype=%2
set BtypeParam=%2

if xx%5==xx goto BEGIN
if %5==D2  goto D2_Area
if %5==DDR  goto DDR_Area
if %5==SRAM  goto SRAM_Area
goto Block_Area


:D2_Area
set Special=_D2D2_
if %1==T goto D2_error
goto BEGIN


:DDR_Area
set Special=_DDR_
set Special_param=%6
set option1=DDR
goto BEGIN

:Block_Area
set Special_param=%5
set option1=%6
goto BEGIN

:SRAM_Area
set option1=%5

:BEGIN
if xx%4==xx  (
set mode=RH4
) else (
set mode=%4
)

if xx%3==xx  (
set flash=RH3
) else (
set flash=%3
)

call .\BAT\win_make%all%%Btype%_%Tmode%%Special%release.bat %flash% %mode% %BtypeParam% %Special_param% %option1%

goto END


:DELETE_AREA
@echo off
echo .
echo .
echo   ****************************************************************************
echo          Start deleting all BIN, RND, OBJ files from all OBM directories
echo   ****************************************************************************
echo .
echo .

pause

if exist .\Tavor\Release\EVB_PV\*.*  del .\Tavor\Release\EVB_PV\*.* /f /q /s
if exist .\Tavor\Release\P65\*.*     del .\Tavor\Release\P65\*.* /f /q /s
if exist .\Tavor\Release\EVB\*.*     del .\Tavor\Release\EVB\*.* /f /q /s
if exist .\Tavor\Release\YARDEN\*.*  del .\Tavor\Release\YARDEN\*.* /f /q /s
if exist .\Tavor\Release\SAAR\*.*    del .\Tavor\Release\SAAR\*.* /f /q /s
if exist .\Tavor\Release\SAAR_PV\*.* del .\Tavor\Release\SAAR_PV\*.* /f /q /s

del .\Tavor\BIN\*.rnd /f /q /S

if exist .\Tavor\tbb_bin\*.bin       del .\Tavor\tbb_bin\*.bin /f /q
if exist .\Tavor\tbb_bin_blk1\*.bin  del .\Tavor\tbb_bin_blk1\*.bin /f /q

goto END


:COPY_AREA
call .\BAT\win_copy_to_release.bat %2
goto END



:D2_error
echo .
echo .
echo .   **********************************************************
echo .       Mode Trusted with D2D2 WA is not supported for now
echo .   **********************************************************
echo .


:END
