/*
 * autoip.c: Bootp command
 *
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 * Copyright (C) 2001,2002  Stefan Eletzhofer 
 *                               (stefan.eletzhofer@www.eletztrick.de)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: autoip.c,v 1.1 2003/09/04 01:10:23 russd Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/errno.h>
#include <blob/command.h>
#include <net/ether.h>
#include <net/net.h>
#include <blob/util.h>

int autoip_cmd(int __attribute__((unused)) argc,
		char __attribute__((unused)) *argv[])
{
	char *file;
	extern char *do_bootp(void);

	file = do_bootp();
	
	if ( file )
		printf( "TFTP File: '%s'\n", file );

	return 0;
}
char autoip_help[] = "Grab an address via bootp. No args.\n";;

