/*
 * reboot-sa11x0.c: Reboot SA11x0 board
 *
 * Copyright (C) 2001 2003  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: reboot-sa11x0.c,v 1.2 2003/08/06 22:55:41 abz Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: reboot-sa11x0.c,v 1.2 2003/08/06 22:55:41 abz Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/arch.h>
#include <blob/reboot.h>




void sa11x0_reboot(void)
{
	RCSR = 0;
	RSRR = 1;
}




/* export reboot driver */
reboot_driver_t sa11x0_reboot_driver = {
	reboot:	sa11x0_reboot
};
