#ifndef __FLEXONENAND_CMD_H__
#define __FLEXONENAND_CMD_H__

#include "typedef.h"
#include "flash.h"

UINT_T LoadFlexPage(UINT_T FlashOffset, UINT_T buffer, UINT_T size, FlashBootType_T fbt);
UINT_T SuperLoadFlexPage(void);
UINT_T LSBPageRecoveryRead(void);
UINT_T PIUpdate(void);
UINT_T ProgramFlexPage(UINT_T address, UINT_T buffer, UINT_T size, FlashBootType_T fbt);
UINT_T FinishCacheProgram(void);
UINT_T CacheProgram(void);
UINT_T UnlockFlexArray(void);
UINT_T LockFlexArray(void);
UINT_T LockTightFlexArray(void);
UINT_T UnlockAllFlexBlocks(void);
UINT_T FlexBlockErase( UINT32 BlockNumber);
UINT_T FlexEraseSuspend(void);
UINT_T FlexEraseResume(void);
UINT_T ResetFlexNANDCore(void);
UINT_T ResetFlexOneNAND(void);

#endif
