@echo off
if xx%1==xx  goto HELP_TXT
if xx%2==xx  goto HELP_TXT

goto _OPTION

:HELP_TXT
echo .
echo          Usage:: win_make_EVB_PV_ntobm_DDR_release.bat  FlashType  ObmMode  BoardType  Option
echo .
echo          FlashType == NAND8 or ONENAND or MDOC or NOR
echo          ObmMode   == MODE_0 or MODE_1 or MODE_2 or MODE_3 or MODE_4
echo          BoardType == PV or P65 or YARDEN or SAAR or SAAR_PV or EVB2
echo          Option    == D2 or DDR or or BLOCK1 or SRAM or space
echo .
goto END


:_OPTION
set _Option=DDR
if xx%4==xx  goto START
@if %4==DDR  goto START
@if %4==BLOCK1  goto START
set _Option=%_Option%,%4


:START
echo .
echo .
echo   *****************************************************************************
echo     Start making TAVOR %3 Non-Trusted, %1 flash, obm %2, option=%_Option%
echo   *****************************************************************************
echo .
echo .

set _msys=0
set _onenand=0
set _nand=0
set _nor=0

if %1==NAND8 set _nand=1
if %1==NAND16 set _nand=1
if %1==ONENAND set _onenand=1
if %1==MDOC set _msys=1
if %1==NOR set _nor=1

set mode=%2
set flash=%1
set board=%3
set dr=%~d0

set mode=%mode%_DDR
set ddr=DDR

if not exist .\Tavor\Release\%board%\%flash%  mkdir .\Tavor\Release\%board%\%flash%
if exist .\Tavor\Release\%board%\%flash%\TAVOR_%board%_NTOBM_%flash%_%mode%.bin del .\Tavor\Release\%board%\%flash%\TAVOR_%board%_NTOBM_%flash%_%mode%.bin


cd Build
nmake OBM.mak TRUSTED=0 PLATFORM=TAVOR  FLASH_TYPE=%1 OBM_MODE=%2 BOARD_TYPE=%board% COPY_TO_DDR=%ddr% MSYS=%_msys% ONENAND=%_onenand% NAND=%_nand% NOR_=%_nor% OPTION=_Option
cd..

if exist .\Tavor\Release\%board%\%flash%\TAVOR_NTOBM.bin del .\Tavor\Release\%board%\%flash%\TAVOR_NTOBM.bin
copy .\Tavor\Release\%board%\%flash%\TAVOR_%board%_NTOBM_%flash%_%mode%.bin .\Tavor\Release\%board%\%flash%\TAVOR_NTOBM.bin
if exist .\Tavor\Release\%board%\%flash%\TAVOR_NTOBM.bin goto FILE_OK

echo .
echo   ***********************************************************************
echo    !!! ERROR -- the file \%board%\%flash%\TAVOR_NTOBM.bin does not exist
echo   ***********************************************************************
echo .
goto END

:FILE_OK
echo .
echo .
echo   *************************************************************
echo         Start running TBB and concatenating NTIM to OBM
echo   *************************************************************
echo .

call .\BAT\win_create_obm_ntim_release.bat %1 %mode% %board% %ddr% %4

:END
