#ifndef _PRODUCT_ID_H_
#define _PRODUCT_ID_H_




#define PRODUCT_ID_REG_ADD	 	   (( volatile UINT32_T *)(0x4600FF80))


#define PRODUCT_WITHIN_FAMILY	  (0x00001e00)
#define FAMILY_POS                (0x0000000c)



#define TAVOR_PRODUCT_FAMILY 	(0x2000)


#define TAVOR_P_SUPERSET		(0x0000)
#define TAVOR_PV_SUPERSET		(0x0200)
#define TAVOR_PV2_SUPERSET		(0x0400)


#define TAVOR_LAYER_Z0			(0x0000)
#define TAVOR_LAYER_A0			(0x0020)
#define TAVOR_LAYER_B0			(0x0040)
#define TAVOR_LAYER_C0			(0x0080)


#define TAVOR_STEP_0			(0x0000)
#define TAVOR_STEP_1			(0x0001)
#define TAVOR_STEP_2			(0x0002)
#define TAVOR_STEP_3			(0x0003)



#define TAVOR_P_A0          ( TAVOR_PRODUCT_FAMILY )
#define TAVOR_P_B0          ( TAVOR_PRODUCT_FAMILY | 0x0020 )
#define TAVOR_P_B1          ( TAVOR_PRODUCT_FAMILY | 0x0060 )
#define TAVOR_P_B2          ( TAVOR_PRODUCT_FAMILY | 0x0061 )
#define TAVOR_PV_DIS_Z0     ( TAVOR_PRODUCT_FAMILY | TAVOR_PV_SUPERSET  | TAVOR_LAYER_Z0 | TAVOR_STEP_0 )
#define TAVOR_PV_DIS_A0     ( TAVOR_PRODUCT_FAMILY | TAVOR_PV_SUPERSET  | TAVOR_LAYER_A0 | TAVOR_STEP_0 )
#define TAVOR_PV_DIS_B0     ( TAVOR_PRODUCT_FAMILY | TAVOR_PV_SUPERSET  | TAVOR_LAYER_B0 | TAVOR_STEP_0 )
#define TAVOR_PV_DIS_B1     ( TAVOR_PRODUCT_FAMILY | TAVOR_PV_SUPERSET  | TAVOR_LAYER_B0 | TAVOR_STEP_1 )
#define TAVOR_PV_DIS_C0     ( TAVOR_PRODUCT_FAMILY | TAVOR_PV_SUPERSET  | TAVOR_LAYER_C0 | TAVOR_STEP_0 )
#define TAVOR_PV2_DIS_Z0    ( TAVOR_PRODUCT_FAMILY | TAVOR_PV2_SUPERSET | TAVOR_LAYER_Z0 | TAVOR_STEP_0 )
#define TAVOR_PV2_DIS_A0    ( TAVOR_PRODUCT_FAMILY | TAVOR_PV2_SUPERSET | TAVOR_LAYER_A0 | TAVOR_STEP_0 )
#define TAVOR_PV2_DIS_B0    ( TAVOR_PRODUCT_FAMILY | TAVOR_PV2_SUPERSET | TAVOR_LAYER_B0 | TAVOR_STEP_0 )
#define TAVOR_PV2_DIS_C0    ( TAVOR_PRODUCT_FAMILY | TAVOR_PV2_SUPERSET | TAVOR_LAYER_C0 | TAVOR_STEP_0 )



typedef enum
{
	TAVOR_P,
	TAVOR_PV,
	TAVOR_PV2
} TAVOR_CHIP_FAMILY;



UINT32_T ObmGetCpuFamily ( void );


#endif
