/******************************************************************************
**
**  COPYRIGHT (C) 2005 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	PinMux_table.h
**
**  PURPOSE:
**
******************************************************************************/


/*
*  Transformed  directly from the excel sheet
*  for the setups done by the  bootRom need to  view bootRom's Monahans_defs.inc  (which contains also Tavor seetings)
*  and StartupFunctions.s since it does not set all that is defined in the defs file
*   */
#ifndef _PINMUX_TABLE_P65_H_
#define _PINMUX_TABLE_P65_H_

#include "PinMux_defs.h"



#define GPIO0_P65             PADENTRY(0x2E0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO1_P65             PADENTRY(0x2DC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO2_P65             PADENTRY(0x2E8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO3_P65             PADENTRY(0x2D8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO4_P65             PADENTRY(0x2E4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO5_P65             PADENTRY(0x2EC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO6_P65             PADENTRY(0x2F8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO7_P65             PADENTRY(0x2FC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO8_P65             PADENTRY(0x300, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO9_P65             PADENTRY(0x2D4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO10_P65             PADENTRY(0x2F4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO11_P65             PADENTRY(0x2F0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO12_P65             PADENTRY(0x304, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO13_P65             PADENTRY(0x310, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO14_P65             PADENTRY(0x308, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO15_P65             PADENTRY(0x30C, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO16_P65             PADENTRY(0x4E8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO17_P65             PADENTRY(0x4F4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO18_P65             PADENTRY(0x4F8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO19_P65             PADENTRY(0x4FC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO20_P65             PADENTRY(0x518, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO21_P65             PADENTRY(0x51C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO22_P65             PADENTRY(0x4EC, \
                                /*mode 0*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO23_P65             PADENTRY(0x500, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO24_P65             PADENTRY(0x4F0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO25_P65             PADENTRY(0x504, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO26_P65             PADENTRY(0x510, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO27_P65             PADENTRY(0x514, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO28_P65             PADENTRY(0x520, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO29_P65             PADENTRY(0x600, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO30_P65             PADENTRY(0x618, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO31_P65             PADENTRY(0x610, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO32_P65             PADENTRY(0x60C, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO33_P65             PADENTRY(0x61C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO34_P65             PADENTRY(0x620, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO35_P65             PADENTRY(0x628, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO36_P65             PADENTRY(0x62C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO37_P65             PADENTRY(0x630, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO38_P65             PADENTRY(0x634, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO39_P65             PADENTRY(0x638, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO40_P65             PADENTRY(0x63C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO41_P65             PADENTRY(0x614, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO42_P65             PADENTRY(0x624, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO43_P65             PADENTRY(0x608, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO44_P65             PADENTRY(0x604, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO45_P65             PADENTRY(0x50C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO46_P65             PADENTRY(0x508, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO47_P65             PADENTRY(0x2BC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO48_P65             PADENTRY(0x2B4, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO49_P65             PADENTRY(0x2B8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO50_P65             PADENTRY(0x2C8, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO51_P65             PADENTRY(0x2C0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO52_P65             PADENTRY(0x2C4, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO53_P65             PADENTRY(0x2D0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO54_P65             PADENTRY(0x2CC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO55_P65             PADENTRY(0x29C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO56_P65             PADENTRY(0x2A0, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO57_P65             PADENTRY(0x294, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO58_P65             PADENTRY(0x298, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO59_P65             PADENTRY(0x2A4, \
                                /*mode 0*/ AF_3, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO60_P65             PADENTRY(0x2A8, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO61_P65             PADENTRY(0x2B0, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO62_P65             PADENTRY(0x2AC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO63_P65             PADENTRY(0x640, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO64_P65             PADENTRY(0x65C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO65_P65             PADENTRY(0x648, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO66_P65             PADENTRY(0x644, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO67_P65             PADENTRY(0x674, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO68_P65             PADENTRY(0x658, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO69_P65             PADENTRY(0x654, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO70_P65             PADENTRY(0x660, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO71_P65             PADENTRY(0x668, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO72_P65             PADENTRY(0x664, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO73_P65             PADENTRY(0x650, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO74_P65             PADENTRY(0x66C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO75_P65             PADENTRY(0x64C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO76_P65             PADENTRY(0x670, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO77_P65             PADENTRY(0x678, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO78_P65             PADENTRY(0x67C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO79_P65             PADENTRY(0x694, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO80_P65             PADENTRY(0x69C, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO81_P65             PADENTRY(0x6A0, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO82_P65             PADENTRY(0x6A4, \
                                /*mode 0*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define GPIO83_P65             PADENTRY(0x698, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO84_P65             PADENTRY(0x6BC, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO85_P65             PADENTRY(0x6B4, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO86_P65             PADENTRY(0x6B0, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO87_P65             PADENTRY(0x6C0, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO88_P65             PADENTRY(0x6C4, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, SLOW, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, SLOW, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO89_P65             PADENTRY(0x6AC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO90_P65             PADENTRY(0x680, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO91_P65             PADENTRY(0x684, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO92_P65             PADENTRY(0x688, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO93_P65             PADENTRY(0x690, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO94_P65             PADENTRY(0x68C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO95_P65             PADENTRY(0x6A8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO96_P65             PADENTRY(0x6B8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO97_P65             PADENTRY(0x418, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GPIO98_P65             PADENTRY(0x410, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO99_P65             PADENTRY(0x41C, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO100_P65             PADENTRY(0x414, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO101_P65             PADENTRY(0x408, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO102_P65             PADENTRY(0x324, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, SLOW, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, SLOW, PULL_SEL_UP, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_2, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GPIO103_P65             PADENTRY(0x40C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_BOTH_ENABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_BOTH_ENABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO104_P65             PADENTRY(0x400, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define GPIO105_P65             PADENTRY(0x328, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define GPIO106_P65             PADENTRY(0x404, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_7, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define RF_IF1_P65             PADENTRY(0x424, \
                                /*mode 0*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_6, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF2_P65             PADENTRY(0x420, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF3_P65             PADENTRY(0x428, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF4_P65             PADENTRY(0x434, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF5_P65             PADENTRY(0x42C, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF6_P65             PADENTRY(0x454, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF7_P65             PADENTRY(0x440, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF8_P65             PADENTRY(0x448, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF9_P65             PADENTRY(0x43C, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF10_P65             PADENTRY(0x458, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF11_P65             PADENTRY(0x45C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF12_P65             PADENTRY(0x44C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF13_P65             PADENTRY(0x444, \
                                /*mode 0*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF14_P65             PADENTRY(0x438, \
                                /*mode 0*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_4, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF15_P65             PADENTRY(0x450, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define RF_IF16_P65             PADENTRY(0x460, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF17_P65             PADENTRY(0x468, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF18_P65             PADENTRY(0x464, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF19_P65             PADENTRY(0x470, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF20_P65             PADENTRY(0x46C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF21_P65             PADENTRY(0x474, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define RF_IF22_P65             PADENTRY(0x478, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ0_P65             PADENTRY(0x47C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ1_P65             PADENTRY(0x480, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ2_P65             PADENTRY(0x484, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ3_P65             PADENTRY(0x488, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ4_P65             PADENTRY(0x48C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ5_P65             PADENTRY(0x490, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ6_P65             PADENTRY(0x494, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RXIQ7_P65             PADENTRY(0x498, \
                                /*mode 0*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, SLOW, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define AFE_RX_CLK_P65             PADENTRY(0x4AC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ0_P65             PADENTRY(0x4A0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ1_P65             PADENTRY(0x4A4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ2_P65             PADENTRY(0x4A8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ3_P65             PADENTRY(0x4B0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ4_P65             PADENTRY(0x4B4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ5_P65             PADENTRY(0x4B8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ6_P65             PADENTRY(0x4C8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ7_P65             PADENTRY(0x4CC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ8_P65             PADENTRY(0x4D8, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TXIQ9_P65             PADENTRY(0x4DC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define AFE_TX_CLK_P65             PADENTRY(0x4D4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_CLK_P65             PADENTRY(0x4D0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_DATA0_P65             PADENTRY(0x4C0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define CONT_DATA1_P65             PADENTRY(0x4C4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define CONT_RD_WR_P65             PADENTRY(0x4BC, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define CONT_READ_INT_P65             PADENTRY(0x49C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define DAC_ST456_P65             PADENTRY(0x4E0, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define ADC_ST_P65             PADENTRY(0x4E4, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define ND_IO15_P65             PADENTRY(0x290, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO14_P65             PADENTRY(0x28C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO13_P65             PADENTRY(0x288, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO12_P65             PADENTRY(0x284, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO11_P65             PADENTRY(0x280, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO10_P65             PADENTRY(0x27C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO9_P65             PADENTRY(0x278, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO8_P65             PADENTRY(0x274, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO7_P65             PADENTRY(0x270, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO6_P65             PADENTRY(0x26C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO5_P65             PADENTRY(0x268, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO4_P65             PADENTRY(0x264, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO3_P65             PADENTRY(0x248, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO2_P65             PADENTRY(0x244, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO1_P65             PADENTRY(0x240, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_IO0_P65             PADENTRY(0x23C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define ND_nCS0_P65             PADENTRY(0x22C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nCS1_P65             PADENTRY(0x230, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nWE_P65             PADENTRY(0x234, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_nRE_P65             PADENTRY(0x238, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_CLE_nOE_P65             PADENTRY(0x20C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_ALE_nWE_P65             PADENTRY(0x218, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define DF_nCS2_P65             PADENTRY(0x224, \
                                /*mode 0*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_3, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define ND_INT_RnB_P65             PADENTRY(0x228, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define DF_SCLK_E_P65             PADENTRY(0x214, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define DF_ADDR0_P65             PADENTRY(0x24C, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define DF_ADDR1_P65             PADENTRY(0x250, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define DF_ADDR2_P65             PADENTRY(0x25C, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_LOW)

#define DF_ADDR3_P65             PADENTRY(0x260, \
                                /*mode 0*/ AF_3, FAST, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_3, FAST, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_3, FAST, N_AF_SLP_DN, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nXCVREN_P65             PADENTRY(0x204, \
                                /*mode 0*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_0, FAST, PULL_SEL_UP, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nLUA_P65             PADENTRY(0x254, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define nLLA_P65             PADENTRY(0x258, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_OTPUT_HIGH)

#define nBE0_P65             PADENTRY(0x21C, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define nBE1_P65             PADENTRY(0x220, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define RDY_P65             PADENTRY(0x200, \
                                /*mode 0*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_7, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, FAST, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)

#define GSIM_UCLK_P65             PADENTRY(0x318, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_OTPUT_LOW)

#define GSIM_UIO_P65             PADENTRY(0x314, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define GSIM_nURST_P65             PADENTRY(0x320, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM_RDH, SLEEP_DATA_OTPUT_HIGH)

#define GSIM_UDET_P65             PADENTRY(0x31C, \
                                /*mode 0*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_1, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_COMM, SLEEP_DATA_INPUT)

#define PMIC_INT_P65             PADENTRY(0x6C8, \
                                /*mode 0*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 1*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 2*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 3*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT, \
                                /*mode 4*/ AF_0, MEDIUM, PULL_SEL_AF, EDGE_DISABLE, SLEEP_APPS, SLEEP_DATA_INPUT)


#endif
