/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
** This software file (the "File") is distributed by Marvell International  
** Ltd. under the terms of the GNU General Public License Version 2, June  
** 1991 (the "License").  You may use, redistribute and/or modify this File   
** in accordance with the terms and conditions of the License, a copy of  
** which is available along with the File in the license.txt file or by   
** writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   
** Boston, MA 02111-1307 or on the worldwide web at 
** http://www.gnu.org/licenses/gpl.txt.
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.  The License provides additional
** details about this warranty disclaimer. 
**
**  FILENAME:	WtpDownload.h
**
**  PURPOSE: 	The main purpose of this file is to share global variables  
** 				controled by the main program but shared with any other project
**              file if need be. 
**                  
******************************************************************************/

#ifdef __cplusplus
	extern "C" {
#endif

#if LINUX
extern BOOL bVerbose;
extern BOOL bDebug;
extern BOOL IsTim;
extern BOOL IsOtpView;
extern BOOL IsDebugBoot;
extern BOOL IsJtag;
extern BOOL IsImageFile;
extern MESSAGE_MODES currentMessageMode;
#endif

#if WINDOWS
BOOL bVerbose;
BOOL bDebug;
BOOL IsTim;
BOOL IsOtpView;
BOOL IsDebugBoot;
BOOL IsJtag;
BOOL IsImageFile;
MESSAGE_MODES currentMessageMode;
#endif

#ifdef __cplusplus
	}
#endif
